package cn.base.conf;

import java.util.List;

public class Ywsoftware extends NodeHome {
	private String amq;
	private String dac;
	private String tomcat;
	private String ftps;
	private String imc;
	private String pan;
	private String ac;
	private String msn;
	private String mdn;	
	private String sdb33;
	private String sgb;
	private String adh;
	private String ahk;
	
	private String amqComment;
	private String dacComment;
	private String tomcatComment;
	private String ftpsComment;
	private String imcComment;
	private String panComment;
	private String acComment;
	private String msnComment;
	private String mdnComment;
	private String sdb33Comment;
	private String sgbComment;
	private String adhComment;
	private String ahkComment;
	
	public String getAmq() {
		return amq;
	}
	public String getDac() {
		return dac;
	}
	public String getTomcat() {
		return tomcat;
	}
	public String getFtps() {
		return ftps;
	}
	public String getImc() {
		return imc;
	}
	public String getPan() {
		return pan;
	}
	public String getAc() {
		return ac;
	}
	public String getMsn() {
		return msn;
	}
	public String getMdn() {
		return mdn;
	}
	public String getSdb33() {
		return sdb33;
	}
	public String getSgb() {
		return sgb;
	}
	public String getAdh() {
		return adh;
	}
	public String getAhk() {
		return ahk;
	}
	public void setAmq(String amq) {
		this.amq = amq;
	}
	public void setDac(String dac) {
		this.dac = dac;
	}
	public void setTomcat(String tomcat) {
		this.tomcat = tomcat;
	}
	public void setFtps(String ftps) {
		this.ftps = ftps;
	}
	public void setImc(String imc) {
		this.imc = imc;
	}
	public void setPan(String pan) {
		this.pan = pan;
	}
	public void setAc(String ac) {
		this.ac = ac;
	}
	public void setMsn(String msn) {
		this.msn = msn;
	}
	public void setMdn(String mdn) {
		this.mdn = mdn;
	}
	public void setSdb33(String sdb33) {
		this.sdb33 = sdb33;
	}
	public void setSgb(String sgb) {
		this.sgb = sgb;
	}
	public void setAdh(String adh) {
		this.adh = adh;
	}
	public void setAhk(String ahk) {
		this.ahk = ahk;
	}
	
	
	
	public String getAmqComment() {
		return amqComment;
	}
	public String getDacComment() {
		return dacComment;
	}
	public String getTomcatComment() {
		return tomcatComment;
	}
	public String getFtpsComment() {
		return ftpsComment;
	}
	public String getImcComment() {
		return imcComment;
	}
	public String getPanComment() {
		return panComment;
	}
	public String getAcComment() {
		return acComment;
	}
	public String getMsnComment() {
		return msnComment;
	}
	public String getMdnComment() {
		return mdnComment;
	}
	public String getSdb33Comment() {
		return sdb33Comment;
	}
	public String getSgbComment() {
		return sgbComment;
	}
	public String getAdhComment() {
		return adhComment;
	}
	public String getAhkComment() {
		return ahkComment;
	}
	public void setAmqComment(String amqComment) {
		this.amqComment = amqComment;
	}
	public void setDacComment(String dacComment) {
		this.dacComment = dacComment;
	}
	public void setTomcatComment(String tomcatComment) {
		this.tomcatComment = tomcatComment;
	}
	public void setFtpsComment(String ftpsComment) {
		this.ftpsComment = ftpsComment;
	}
	public void setImcComment(String imcComment) {
		this.imcComment = imcComment;
	}
	public void setPanComment(String panComment) {
		this.panComment = panComment;
	}
	public void setAcComment(String acComment) {
		this.acComment = acComment;
	}
	public void setMsnComment(String msnComment) {
		this.msnComment = msnComment;
	}
	public void setMdnComment(String mdnComment) {
		this.mdnComment = mdnComment;
	}
	public void setSdb33Comment(String sdb33Comment) {
		this.sdb33Comment = sdb33Comment;
	}
	public void setSgbComment(String sgbComment) {
		this.sgbComment = sgbComment;
	}
	public void setAdhComment(String adhComment) {
		this.adhComment = adhComment;
	}
	public void setAhkComment(String ahkComment) {
		this.ahkComment = ahkComment;
	}
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			String comment=this.getList().get(i).getComment();
			if(name.equalsIgnoreCase("amq")) {
				this.amq = value;
				this.amqComment = comment;
			}
			if(name.equalsIgnoreCase("dac")) {
				this.dac = value;
				this.dacComment = comment;
			}
			if(name.equalsIgnoreCase("tomcat")) {
				this.tomcat = value;
				this.tomcatComment = comment;
			}
			if(name.equalsIgnoreCase("ftps")) {
				this.ftps = value;
				this.ftpsComment = comment;
			}
			
			if(name.equalsIgnoreCase("imc")) {
				this.imc = value;
				this.imcComment = comment;
			}
			if(name.equalsIgnoreCase("pan")) {
				this.pan = value;
				this.panComment = comment;
			}
			if(name.equalsIgnoreCase("ac")) {
				this.ac = value;
				this.acComment = comment;
			}
			if(name.equalsIgnoreCase("msn")) {
				this.msn = value;
				this.msnComment = comment;
			}
			
			if(name.equalsIgnoreCase("mdn")) {
				this.mdn = value;
				this.mdnComment = comment;
			}
			if(name.equalsIgnoreCase("sdb33")) {
				this.sdb33 = value;
				this.sdb33Comment = comment;
			}
			if(name.equalsIgnoreCase("sgb")) {
				this.sgb = value;
				this.sgbComment = comment;
			}
			if(name.equalsIgnoreCase("adh")) {
				this.adh = value;
				this.adhComment = comment;
			}
			if(name.equalsIgnoreCase("ahk")) {
				this.ahk = value;
				this.ahkComment = comment;
			}
		}
	}
	
}
